package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.leatherArmor;
import org.project.item.weapons.wood;

public class Wizard extends Player{
    public Wizard(String name){
        super("\uD83E\uDDD9\u200D♂\uFE0F " +name+"(Wizard)" , 90 , 60 , new wood() , new leatherArmor() , 7 );
    }

    public void specialAbility(Entity target){
        System.out.println(this.getName() + "use special ability");
        mp -= 30;
        target.takeDamage(weapon.getDamage() + fistDamage);
        this.hp += 30;
        System.out.println(toString()+ "have got 30 Hp");
        if(hp > maxHP){
            hp = maxHP;
        }
    }


}
